Package es.imim.DISGENET.internal.tables

# Interface DisGeNETCyTableNodeInterface

All Known Implementing Classes:
  `DisGeNetCyTableBase`, `DisGeNetCyTableDisease`, `DisGeNetCyTableGene`, `DisGeNetCyTableVariant`

public interface DisGeNETCyTableNodeInterface

## Method Summary

Modifier and Type
Method
Description
`void`
`addEdgeColumns(org.cytoscape.model.CyTable cyTable)`
`void`
`addNodeColumns(org.cytoscape.model.CyTable cyTable)`
`void`
`fillEdgeColumns(org.cytoscape.model.CyNetwork cyNetwork, Map<org.cytoscape.model.CyEdge,Map<String,Object>> edgeAttributes)`
`void`
`fillNodeColumns(org.cytoscape.model.CyTable cyTable, Map<String,Long> suids)`

## Method Details

### addNodeColumns

void addNodeColumns(org.cytoscape.model.CyTable cyTable)

### addEdgeColumns

void addEdgeColumns(org.cytoscape.model.CyTable cyTable)

### fillNodeColumns

void fillNodeColumns(org.cytoscape.model.CyTable cyTable, Map<String,Long> suids) throws DisGeNetException

Throws:
  `DisGeNetException`

### fillEdgeColumns

void fillEdgeColumns(org.cytoscape.model.CyNetwork cyNetwork, Map<org.cytoscape.model.CyEdge,Map<String,Object>> edgeAttributes)